importJS(["lib/MOON.js", "lib/enchant.js", "lib/ui.enchant.js", "lib/color.enchant.js", "lib/stylus.enchant.js", "lib/puppet.enchant.js", "lib/moon.puppet.enchant.js"], function() {
	enchant();
	var MARGIN_TOP = 32; //上マージン
	var MARGIN_BOTTOM = 32; //下マージン
	var MARGIN = 15; // 左右のマージン
	var LINE_BORDER = 0.5; //罫線の太さ
	
	var LINE_NUM = 5;
	var NOTE_UPPER_SPACE = 40;
	var NOTE_LOWER_SPACE = 40;
	var NOTELINE_SPACE = 20;
	
	var LINE_COLOUR = -1;/*ひとまず白*/
	
	var cnt = 0;
	var cnt2 = 0;

	var NEED_SPACE = NOTE_UPPER_SPACE+(NOTELINE_SPACE*4)+NOTE_LOWER_SPACE+MARGIN_BOTTOM;

	//　サンプルの暗号化シールから流用
	function setBackingData(jsonString) {
		var page = MOON.getCurrentPage();
		return MOON.setPaperJSON(page.backing, jsonString);
	}

	//　サンプルの暗号化シールから流用
	function getBackingData() {
		var page = MOON.getCurrentPage();
		return MOON.getPaperJSON(page.backing);
	}

	//　サンプルの暗号化シールから流用
	function alertThenFinish(message) {
		MOON.alert(message, function() {
			MOON.finish();
		});
	}

	//　ストローク（線）の色を最後のストロークの色に変換する関数。
	//　サンプルの暗号化シールを元に作成
	function changeStrokesColor() {
		var backing = getBackingData(); 		  //　現在のページのbackingをJSONで取得。
		var w = backing.width;
		var h = backing.height;
		var strokes = backing.strokes;			 //　backing内のストローク（線）群を取得。
		
		var pos_y = MARGIN_TOP;
		var last_h = h-pos_y;
		
		var line;
		
		for(cnt = 0; last_h<NEED_SPACE; cnt++)
		{
			pos_y += NOTE_UPPER_SPACE;
			for(cnt2 = 0; cnt<LINE_NUM; cnt2++)
			{
				line = {"width":2.5,"color":LINE_COLOUR,"type":"pen","data":[0+MARGIN,pos_y,LINE_BORDER,w-MARGIN,pos_y,LINE_BORDER]}
				strokes.push(line);
				pos_y+=NOTELINE_SPACE
			}
			pos_y = pos_y+NOTE_LOWER_SPACE-NOTELINE_SPACE;
		}
		setBackingData(JSON.stringify(backing));	//　変更したJSONを現在のページに反映。
	}

	var sticker = Sticker.create();
	sticker.onattach = sticker.ondetach = function() {
		MOON.finish();						   //　シールを置いた時と消した時はそのまま終了。
	};
	sticker.ontap = function() {
		changeStrokesColor();				  //　タップした時に呼び出す関数。
		MOON.finish();
	};
	sticker.register();
});